java.io

## Class StreamCorruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.StreamCorruptedException

- All Implemented Interfaces:
    Serializable

      public class StreamCorruptedException
      extends ObjectStreamException

  Thrown when control information that was read from an object stream violates internal consistency checks.
  Since:
    JDK1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamCorruptedException()` Create a StreamCorruptedException and list no reason why thrown.
    `StreamCorruptedException(String reason)` Create a StreamCorruptedException and list a reason why thrown.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamCorruptedException

          public StreamCorruptedException(String reason)

      Create a StreamCorruptedException and list a reason why thrown.
      Parameters:
        `reason` - String describing the reason for the exception.

    - #### StreamCorruptedException

          public StreamCorruptedException()

      Create a StreamCorruptedException and list no reason why thrown.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.